Name:           mandrake-menu-directory
Summary:        Directory for MDK menu
Version:	10.1
Release:	15mdk
URL:            http://www.mandrakesoft.com
Group:          Graphical desktop/KDE
BuildRoot:      %_tmppath/mandrake-menu-directory-buildroot

Source0:	mandrake-menu-directory.tar.bz2

License:		GPL
BuildArch:   	noarch
BuildRequires:  intltool

%description
Generate mdk menu directory. 


%prep
rm -rf $RPM_BUILD_ROOT 

%setup -nmandrake-menu-directory

%build

for i in mdk*.in simplified/mdk*.in ; do intltool-merge -d -u po/ $i `(T=$i ; echo ${T/%.in/})`; done

%install
install -d -m 0755 %buildroot/usr/share/desktop-directories/mdk/

for i in $RPM_BUILD_DIR/mandrake-menu-directory/mdk*.directory $RPM_BUILD_DIR/mandrake-menu-directory/simplified/mdk*.directory ;do  install -m 0644 $i %buildroot/usr/share/desktop-directories/mdk/ ;done

install -d -m 0755 %buildroot/%_sysconfdir/xdg/menus
install -m 0644 $RPM_BUILD_DIR/mandrake-menu-directory/kdebase-3.2-applications-mdk.menu %buildroot/%_sysconfdir/xdg/menus/applications-mdk.menu
install -m 0644 $RPM_BUILD_DIR/mandrake-menu-directory/kdebase-3.2-applications-simplified.menu %buildroot/%_sysconfdir/xdg/menus/applications-simplified.menu

install -m 0644 $RPM_BUILD_DIR/mandrake-menu-directory/mdk-configure-kde.menu %buildroot/%_sysconfdir/xdg/menus/mdk-configure-kde.menu

install -d -m 0755 %buildroot/%_sysconfdir/xdg/menus/applications-merged-simplified/
install -m 0644 $RPM_BUILD_DIR/mandrake-menu-directory/kdebase-3.2-applications-simplified-configure.menu %buildroot/%_sysconfdir/xdg/menus/applications-merged-simplified/applications-simplified-configure.menu



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir %_datadir/desktop-directories/
%dir %_datadir/desktop-directories/mdk/
%_datadir/desktop-directories/mdk/*.directory

%dir %_sysconfdir/xdg/
%dir %_sysconfdir/xdg/menus/
%_sysconfdir/xdg/menus/*.menu

%dir %_sysconfdir/xdg/menus/applications-merged-simplified/
%_sysconfdir/xdg/menus/applications-merged-simplified/*.menu

%changelog
* Tue Oct 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-15mdk
- Fix "Play More Games"

* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-14mdk
- Fix exclude kdetv

* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-13mdk
- Fix last Capitalize error

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-12mdk
- Fix exclude documentation desktop file into 'read more documentation'

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-11mdk
- Fix some order

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-10mdk
- Fix address books entry

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-9mdk
- Fix simplified menu

* Wed Sep 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-8mdk
- Update po file

* Wed Sep 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-7mdk
- Fix exclude entry

* Wed Sep 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-6mdk
- Fix Play game item

* Wed Sep 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-5mdk
- Fix exclude file in simplified menu

* Thu Sep 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-4mdk
- Update

* Tue Aug 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-3mdk
- Fix capitalization

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-2mdk
- Add exclude file

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-1mdk
- Menu for 10.1

* Tue Mar 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-42mdk
- Fix menu when kontact and kmail

* Fri Mar 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-41mdk
- Sort order into "All Application" menu
- Update po file

* Tue Mar 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-40mdk
- Fix order (Configuration move to top)
- Update po

* Thu Feb 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-39mdk
- Fix order

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-38mdk
- Update po

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-37mdk
- Fix error into sort

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-36mdk
- Update po file

* Fri Feb 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-35mdk
- Fix "video conference"

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-34mdk
- Fix directory

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-33mdk
- Fix Other entry

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-32mdk
- Use kmag

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-31mdk
- fix sort

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-30mdk
- Update po
- Fix destlint

* Thu Feb 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-29mdk
- Fix sort 

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-28mdk
- Sort for standard menu

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-27mdk
- Menu

* Wed Jan 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-26mdk
- Finish sort of simplified menu

* Wed Jan 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-25mdk
- Start to sort simplified menu

* Fri Jan 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-24mdk
- Reverte VFolder menu type to "menu" menu type (for the moment just
	KDE support it)
- I keep VFolder menu type for previous MDK release.
- I must recreate all old menu method => some menu entry must be lose :(

* Wed Jan 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-23mdk
- Update po file

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-22mdk
- Fix applications-simplified.menu

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-21mdk
- Add simplified menu directory into its own directory

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-20mdk
- Fix twice KDE entrie

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-19mdk
- Update po

* Fri Dec 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-18mdk
- Fix kcontrol + simplified menu

* Fri Dec 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-17mdk
- Fix simplified menu

* Wed Dec 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-16mdk
- Fix generate directory desktop

* Tue Nov 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-15mdk
- Fix menu

* Mon Nov 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-14mdk
- Fix simplified menu

* Fri Nov 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-13mdk
- Update po

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-12mdk
- Fix applications category

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-11mdk
- Fix other typo

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-10mdk
- Fix typo

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-9mdk
- Fix missing directory menu

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-8mdk
- Fix again

* Thu Nov 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-7mdk
- Fix configuration menu

* Thu Nov 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-6mdk
- Fix menu

* Wed Nov 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-5mdk
- Add mdk-configure-kde.menu

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-3mdk
- Update menu file

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-2mdk
- Move menu-application here

* Thu Oct 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- Initial package


